[@rxap/window-system](../wiki/globals) / WindowContentComponent

# Class: WindowContentComponent

Defined in: [packages/angular/window-system/src/lib/window-content/window-content.component.ts:50](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-content/window-content.component.ts#L50)

## Implements

- `AfterViewInit`
- `OnInit`

## Constructors

### new WindowContentComponent()

> **new WindowContentComponent**(`context`, `windowRef`, `injector`, `viewContainerRef`, `loadingIndicatorService`): [`WindowContentComponent`](../wiki/Class.WindowContentComponent)

Defined in: [packages/angular/window-system/src/lib/window-content/window-content.component.ts:59](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-content/window-content.component.ts#L59)

#### Parameters

##### context

`any`

##### windowRef

[`WindowRef`](../wiki/Class.WindowRef)

##### injector

`Injector`

##### viewContainerRef

`ViewContainerRef`

##### loadingIndicatorService

`LoadingIndicatorService`

#### Returns

[`WindowContentComponent`](../wiki/Class.WindowContentComponent)

## Properties

### context

> **context**: [`WindowContainerContext`](../wiki/Interface.WindowContainerContext)\<`any`\>

Defined in: [packages/angular/window-system/src/lib/window-content/window-content.component.ts:52](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-content/window-content.component.ts#L52)

***

### portal

> **portal**: `null` \| `Portal`\<`any`\> = `null`

Defined in: [packages/angular/window-system/src/lib/window-content/window-content.component.ts:54](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-content/window-content.component.ts#L54)

***

### portalOutlet

> **portalOutlet**: `CdkPortalOutlet`

Defined in: [packages/angular/window-system/src/lib/window-content/window-content.component.ts:57](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-content/window-content.component.ts#L57)

## Methods

### ngAfterViewInit()

> **ngAfterViewInit**(): `void`

Defined in: [packages/angular/window-system/src/lib/window-content/window-content.component.ts:79](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-content/window-content.component.ts#L79)

A callback method that is invoked immediately after
Angular has completed initialization of a component's view.
It is invoked only once when the view is instantiated.

#### Returns

`void`

#### Implementation of

`AfterViewInit.ngAfterViewInit`

***

### ngOnInit()

> **ngOnInit**(): `void`

Defined in: [packages/angular/window-system/src/lib/window-content/window-content.component.ts:71](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-content/window-content.component.ts#L71)

A callback method that is invoked immediately after the
default change detector has checked the directive's
data-bound properties for the first time,
and before any of the view or content children have been checked.
It is invoked only once when the directive is instantiated.

#### Returns

`void`

#### Implementation of

`OnInit.ngOnInit`
